"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class Repeat(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_12 import opencb as opencb_1_3_1

        return {
            "org.opencb.biodata.models.variant.avro.Repeat": opencb_1_3_1.Repeat,
        }

    __slots__ = [
        "chromosome",
        "consensusSize",
        "copyNumber",
        "end",
        "id",
        "percentageMatch",
        "period",
        "score",
        "sequence",
        "source",
        "start",
    ]

    def __init__(
        self,
        chromosome=None,
        consensusSize=None,
        copyNumber=None,
        end=None,
        id=None,
        percentageMatch=None,
        period=None,
        score=None,
        sequence=None,
        source=None,
        start=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_1.Repeat model.

        :param chromosome:
        :type chromosome: None | str
        :param consensusSize:
        :type consensusSize: None | int
        :param copyNumber:
        :type copyNumber: None | float
        :param end:
        :type end: None | int
        :param id:
        :type id: None | str
        :param percentageMatch:
        :type percentageMatch: None | float
        :param period:
        :type period: None | int
        :param score:
        :type score: None | float
        :param sequence:
        :type sequence: None | str
        :param source:
        :type source: None | str
        :param start:
        :type start: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.1"
